# $Revision: 1.32 $, $Date: 2004/05/07 00:29:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	EP3
Summary:	Text::EP3 - the extensible Perl preprocessor
Summary(pl):	Text::EP3 - rozszerzalny preprocesor dla Perla
Name:		perl-Text-EP3
Version:	1.00
Release:	12
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e5c4b5fe376fb9f76a52a2b374ff7dcc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::EP3 is a Perl program that preprocesses STDIN or some set of
input files and produces an output file.  EP3 only works on input
files and produces output files.  The main difference between EP3 and
other preprocessors is its built-in extensibility.  Every directive in
EP3 is really a method defined in EP3, one of its submodules, or
embedded in the file that is being processed.  By linking the
directive name to the associated methods, other methods could be
added, thus extending the preprocessor.

%description -l pl
Text::EP3 jest programem w Perlu, ktry przetwarza STDIN lub pewien
zbiw plikw wejciowych, tworzc plik wyjciowy. Dziaa on jedynie na
plikach wejciowych, tworzc pliki wyjciowe. Gwn rnic pomidzy
EP3 i innymi preprocesorami jest wbudowana rozszerzalno. Kada
dyrektywa EP3 jest w rzeczywistoci metod zdefiniowan w EP3, jednym
z jego podmoduw lub w przetwarzanym pliku. Powizanie nazwy
dyrektywy ze stowarzyson metod umoliwia dodawanie innych metod, co
jest rozszerzaniem preprocesora.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/ep3
%{perl_vendorlib}/Text/EP3.pm
%{perl_vendorlib}/auto/Text/EP3
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-EP3.spec,v $
Revision 1.32  2004/05/07 00:29:38  ankry
- rel. 12

Revision 1.31  2004/05/06 18:21:17  ankry
- fixed perl-devel BR

Revision 1.30  2004/05/03 22:15:25  ankry
- summary/desc. rel. 11

Revision 1.29  2004/05/03 01:33:49  ankry
- tests added, license fixes, cosmetics

Revision 1.28  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 21:34:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:38:44  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/08/05 15:23:07  kloczek
- release 9.

Revision 1.19  2002/07/12 11:15:36  qboosh
- new %%doc

Revision 1.18  2002/07/10 08:58:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:42  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:20:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:35:51  depesz
adapterized

Revision 1.12  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:24  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:16:28  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:53:36  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:30  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
